﻿using System;
using System.Collections.Generic;
using Wisej.Web;

namespace WisejWebPageApplication1
{
    public partial class Control : Wisej.Web.UserControl
    {
        public List<DataSourceItems> DataSource { get; set; }

        public Control()
        {
            InitializeComponent();

        }
        public Control(bool tabStop) : this()
        {

            DataSource = new List<DataSourceItems>();

            DataSource.Add(new DataSourceItems());
            DataSource.Add(new DataSourceItems());
            DataSource.Add(new DataSourceItems());

            dataGridView1.DataSource = DataSource;
            dataGridView1.TabStop = tabStop;

        }

        private void DataGridView1_DataBindingComplete(object sender, DataGridViewBindingCompleteEventArgs e)
        {
            foreach (DataGridViewRow row in dataGridView1.Rows)
            {
                DataGridViewComboBoxCell cbo = (DataGridViewComboBoxCell)row.Cells[nameof(Column1)];
                DataSourceItems viaggioBound = (DataSourceItems)row.DataBoundItem;

                cbo.DataSource = viaggioBound.ComboBoxValue;
            }
        }
    }

    public class DataSourceItems
    {
        public List<string> ComboBoxValue { get; set; }

        public DataSourceItems()
        {
            ComboBoxValue = new List<string>();
            ComboBoxValue.Add("Test");
            ComboBoxValue.Add("Test1");
            ComboBoxValue.Add("Test2");
        }
    }
}
